Payment Status API

This API is used to retrieve the latest Direct Debit payment status and transaction details.

Clients should use latestTransactionStatus as the main reference for the payment status.

Clients may mark the transaction as failed only in the following cases:
- latestTransactionStatus is 06 - FAILED, or
- response code 4045501 is received from this API, which means the transaction is not found.

If response code 2005500 is received, clients should check the latestTransactionStatus value returned in the response body.

For any other error response except 4045501, clients should not mark the transaction as failed. Clients should retry this API after an appropriate interval to get the latest payment status.

A rate limiter is applied to this API.

Service Code: 55

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length between 6 and 6

This field is a 6 char merchant identifier that is unique per each merchant. The exact value is disclosed to each merchant separately.

string
required

Transaction type indicator. Service code of the transaction that needs to be checked (original transaction).

string
required

Use referenceNo value of Payment API response.

Headers
string
enum
required
length between 16 and 16

Represents the content type of the received data (e.g. application/json)

Allowed:
string
required

Represents the access_token of a request; string starts with the keyword "Bearer " followed by the access_token.

string
required
length between 24 and 27

Client's current local time in yyyy-MM-ddTHH:mm:ssTZD format.

string
required

Represents signature of a request. Symmetric signature: HMAC_SHA512(clientSecret, stringToSign)

stringToSign = HTTPMethod +":"+ URLPath +":"+ AccessToken +":"+ Lowercase(HexEncode(SHA-256(minify(RequestBody))))+":" + X-TIMESTAMP

string
required
length between 6 and 6

This field is a 6 char merchant identifier that is unique per each merchant. The exact value is disclosed to each merchant separately.

string
required
length between 32 and 32

Alphanumeric String. Unique identifier provided by the merchant for each API request. The value must be unique per request attempt and contain 32 alphanumeric characters.

string
required
length between 5 and 5

Numeric String. PJP's channel id. Device identification on which the API services is currently being accessed by the end user (customer). Must be the same in one flow.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json